@import url('https://fonts.googleapis.com/css?family=Roboto|Roboto+Slab&display=swap');
/*
    *** General Form Styles ***
*/
* {
    box-sizing: border-box;
}

body {
    background-color: #d4e3f0;
    margin: 0px;
    font-size: 14px;
    font-family: 'Roboto Slab';
}

table {
    border-spacing: 0px;
    padding: 0px;
}

th, td {
    padding: 0px;
}

a {
    color: blue;
}

/* Doesn't Work
a:disabled {
    color: gray;
}
*/

input {
    font-size: 14px;
    font-family: Roboto;
}

    input[type="text"] {
        min-height: 21px;
        max-height: 21px;
        padding-left: 3px;
        border: 1px solid gray;
    }

        input[type="text"]:disabled {
            color: black;
            background-color: #dedede;
        }

    input[type="password"] {
        min-height: 21px;
        max-height: 21px;
        padding-left: 3px;
        border: 1px solid gray;
    }

    input[type="file"] {
        min-height: 24px;
        max-height: 24px;
        border: 1px solid gray;
    }

    input[type=checkbox] {
        outline: 1px solid gray;
    }

/*

    input[type="checkbox"] {
        height: 30px;
        width: 30px;
    }

        input[type="checkbox"]:disabled {
        }

        input[type="checkbox"]:checked {
        }
input[type='checkbox'][disabled='disabled']::-ms-value {
    color: black;
    background: #dddddd;
}
*/

textarea {
    font-size: 14px;
    font-family: Roboto;
    border: 1px solid gray;
}

    textarea:disabled {
        color: black;
        background: #dddddd;
    }

select {
    min-height: 21px;
    max-height: 21px;
    font-size: 14px;
    font-family: Roboto;
    border: 1px solid gray;
    opacity: 1;
}

    select:disabled {
        color: black;
        background: #dedede;
    }
/*
    select[disabled='disabled']::-ms-value {
        color: black;
    }
*/

input[type="submit"]:disabled {
    color: gray;
}

button:disabled {
    color: gray;
}

.ui-datepicker select.ui-datepicker-year {
    width: 70px;
}

/*
    *** Empty Style ***
*/
.none {
}


/*
    *** Menu Styles ***
*/
.menu {
    color: white;
    background-color: #006bb5;
    padding: 0px 5px 0px 5px;
    cursor: default;
    height: 22px;
}

.submenu {
    color: Black;
    background-color: #e1eff8;
    border: solid 1px black;
    cursor: default;
}

.menulink {
}

.menulinkhover {
    text-decoration: underline;
}

.menugroup {
}

.menugrouphover {
}

.submenulink {
    background-color: #e8eff7;
    padding: 0px 10px 0px 10px;
    border: 1px solid #e1eff8;
}

.submenulinkhover {
    background-color: #d4e3f0;
    padding: 0px 10px 0px 10px;
    border: 1px solid black;
}

/*
    *** DataGrid Styles ***
*/
.grid {
    border: solid 1px #D6D3D0;
    border-collapse: collapse;
}

    .grid td {
        border: solid 1px #D6D3D0;
        padding: 0px 3px 0px 3px;
    }

    .grid a {
        color: Blue;
    }

.griditem {
    background-color: #fbf7e7;
}

.gridheader {
    background-color: #eee9b4;
}

.gridfooter {
    background-color: #fbf7e7;
}

.gridselector {
    width: 17px;
    background-color: #fbf7e7;
    background-position: center;
    background-repeat: no-repeat;
}

/*
    *** Modal Dialog Styles ***
*/
.modaldialog {
    background-color: #fbf7e7;
    border-width: 1px;
    border-style: solid;
    border-color: Gray;
}

.modalbackground {
    background-color: White;
    opacity: 0.7;
}

.modalheader {
    color: white;
    background-color: #006bb5;
    font-weight: bold;
    padding: 0px 3px 0px 3px;
    text-align: center;
    vertical-align: middle;
    white-space: nowrap;
}

.modalbutton {
    width: 17px;
    background-color: #006bb5;
    padding: 3px 3px 0px 3px;
    text-align: right;
    vertical-align: middle;
}

.modalbody {
    padding: 10px 5px 10px 5px;
}

/*
    *** MessageBox Styles ***
        NB: Also Change standardform.css
*/
.messagebox {
    border: 1px solid gray;
    background-color: #fbf7e7;
}

.messageboxbackground {
    background-color: White;
    opacity: 0.7;
}

.messageboxclearbackground {
    background-color: White;
    opacity: 0.0;
}

.messageboxheader {
    color: white;
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
    background-color: #006bb5;
    padding: 0px 3px 0px 3px;
    white-space: nowrap;
}

.messageboxclose {
    text-align: right;
    vertical-align: middle;
    background-color: #006bb5;
    padding: 3px 3px 0px 3px;
    width: 17px;
}

.messageboxbody {
    text-align: center;
    padding: 20px 10px 20px 10px;
}

.messageboxbutton {
    text-align: center;
    vertical-align: middle;
    padding: 0px 3px 10px 3px;
}

/*
    *** ConfirmBox Styles ***
        NB: Also Change standardform.css
*/
.confirmbox {
    border: 1px solid gray;
    background-color: #fbf7e7;
}

.confirmboxbackground {
    background-color: White;
    opacity: 0.7;
}

.confirmboxheader {
    color: white;
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
    background-color: #006bb5;
    padding: 0px 3px 0px 3px;
    white-space: nowrap;
}

.confirmboxclose {
    text-align: right;
    vertical-align: middle;
    background-color: #006bb5;
    padding: 3px 3px 0px 3px;
    width: 17px;
}

.confirmboxbody {
    text-align: center;
    padding: 20px 10px 20px 10px;
}

.confirmboxbutton {
    text-align: center;
    vertical-align: middle;
    padding: 0px 3px 10px 3px;
}

/*
    *** Tabbed Dialog Styles ***
*/
.tabbedactive {
    height: 22px;
    color: Black;
    font-weight: bold;
    border-top: solid 1px black;
    border-left: solid 1px black;
    border-right: solid 1px black;
    background-color: #fbf7e7;
    white-space: nowrap;
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
    cursor: default;
}

.tabbedhover {
    height: 22px;
    color: White;
    font-weight: bold;
    border: solid 1px black;
    background-color: #c0c0c0;
    text-decoration: underline;
    white-space: nowrap;
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
    cursor: default;
}

.tabbedinactive {
    height: 22px;
    color: White;
    font-weight: bold;
    border: solid 1px black;
    background-color: #c0c0c0;
    white-space: nowrap;
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
    cursor: default;
}

.tabbeddisabled {
    height: 22px;
    color: Gray;
    font-weight: bold;
    border: solid 1px black;
    background-color: #c0c0c0;
    white-space: nowrap;
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
    cursor: default;
}

.tabbedspacer {
    border-bottom: solid 1px black;
}

.tabbedpanel {
    border-left: solid 1px black;
    border-right: solid 1px black;
    border-bottom: solid 1px black;
    background-color: #fbf7e7;
    padding: 4px;
}

.tabbederror {
    height: 22px;
    color: red;
    font-weight: bold;
    border: solid 1px black;
    background-color: #c0c0c0;
    white-space: nowrap;
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
    cursor: default;
}

/*
    *** Tooltip Styles ***
*/
.tooltipcell {
    padding: 2px;
    font-size: small;
    white-space: nowrap;
    border: solid 1px black;
    background-color: #fbf7e7;
}

/*
    *** Postback Progress Styles ***
*/
.postbackprogressstyle {
    padding: 15px;
    z-index: 20000;
    white-space: nowrap;
    border: solid 1px black;
    background-color: White;
    vertical-align: middle;
    position: absolute;
    left: 0px;
    top: 0px;
}

/*
    *** Contract Charge Summary Styles ***
*/
.contractchargesummary {
    border: 1px solid black;
}

    .contractchargesummary td.left {
        width: 55%;
        padding-left: 2px;
    }

    .contractchargesummary td.right {
        width: 45%;
        text-align: right;
        padding-right: 2px;
    }

    .contractchargesummary td.section {
        border-top: 1px solid black;
    }

/*
    === Ace Member Box Styles ===
*/

.aceMemberDetailsBox {
    border: 1px solid black;
    padding-left: 2px;
    position: relative;
    width: 28%;
    height: 71px;
    top: 390px;
    left: 356px;
}

.aceMemberDetailsBox label{
    display:block
}

/*
    *** Reservation Charge Summary Styles ***
*/
.reservationchargesummary {
    border: 1px solid black;
}

    .reservationchargesummary td.left {
        width: 55%;
        padding-left: 2px;
    }

    .reservationchargesummary td.right {
        width: 45%;
        text-align: right;
        padding-right: 2px;
    }

    .reservationchargesummary td.section {
        border-top: 1px solid black;
    }
/*
    *** Quote Charge Summary Styles ***
*/
.quotechargesummary {
    border: 1px solid black;
}

    .quotechargesummary td.left {
        width: 55%;
        padding-left: 2px;
    }

    .quotechargesummary td.right {
        width: 45%;
        text-align: right;
        padding-right: 2px;
    }

    .quotechargesummary td.section {
        border-top: 1px solid black;
    }
/*
    *** Context Menu Styles ***
*/
.contextmenu {
    color: black;
    background-color: #fbf7e7;
    padding: 0px 5px 0px 5px;
    border: 1px solid black;
    cursor: default;
}

table.contextmenu td {
    height: 22px;
}

.contextmenulink {
    padding: 1px 0px 1px 0px;
}

.contextmenulinkhover {
    padding: 1px 0px 1px 0px;
    text-decoration: underline;
}
